## dde-network-core 1.1.5

=== dock-example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dock_example)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_PREFIX_PATH $ENV{Qt5_DIR})
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(DdeControlCenter REQUIRED)
find_package(Qt5 COMPONENTS Core DBus Network REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DdeDock REQUIRED)

aux_source_directory(../dock-network-plugin DOCKPLUGINDIR)
aux_source_directory(../common-plugin/* COMMONPLUGINS)

aux_source_directory(. COMPILEFILES)

get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

file(GLOB_RECURSE COMMONPLUGINS_SRCS
    ../common-plugin/*
    ../dss-network-plugin/dockpopupwindow.h
    ../dss-network-plugin/dockpopupwindow.cpp
)
add_executable(${PROJECT_NAME}
    ${COMPILEFILES}
    ${DOCKPLUGINDIR}
    ${COMMONPLUGINS_SRCS}
    )

get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

foreach(LETTER ${TRY_KF5_LIBRARIES})
    if (NOT KF5_QT_LIBRARIES)
        get_target_property(KF5_QT_LIBRARIES KF5::NetworkManagerQt ${LETTER})
    endif()
endforeach()

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

target_include_directories(${PROJECT_NAME} PUBLIC
    ../dock-network-plugin
    ../common-plugin
    ../common-plugin/widgets
    ../common-plugin/item
    ../common-plugin/resources/common/
    ../common-plugin/resources/wired/
    ../common-plugin/resources/wireless/
    ../dss-network-plugin
    ${DdeControlCenter_INCLUDE_DIR}
    ${DDE_DOCK_INCLUDE_DIR}
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
    ${Qt5Widget_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${LibNM_INCLUDE_DIRS}
    ${Qt5Network_INCLUDE_DIRS}
    ${KF5_QT_INCLUDE_DIRS}
    ${DDE-Network-Core_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    ${DDE_DOCK_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${Qt5Core_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${LibNM_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${KF5_QT_LIBRARIES}
    ${DDE-Network-Core_LIBRARIES}
)

add_custom_command(
    OUTPUT path.pb.cc path.pb.h
    COMMAND protoc
    ARGS --cpp_out . ${CMAKE_CURRENT_SOURCE_DIR}/path.proto -I ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS path.proto)

=== dock-network-plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(PLUGIN_NAME "dock-network-plugin")

project(${PLUGIN_NAME})
include(GNUInstallDirs)
# 启用 qt moc 的支持
set(CMAKE_AUTOMOC ON)
# 启用 qrc 资源文件的支持
set(CMAKE_AUTORCC ON)

file(GLOB_RECURSE SRCS "*.h" "*.cpp" "item/*.h" "item/*.cpp" "../common-plugin/*.h" "../common-plugin/*.cpp")

find_package(Qt5 COMPONENTS Core Widgets DBus Network LinguistTools REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DdeDock REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)
pkg_check_modules(DDE-Dock REQUIRED dde-dock)

file(GLOB TS_FILES "translations/*.ts")
qt5_add_translation(QM_FILES ${TS_FILES})
add_custom_target(language ALL DEPENDS ${QM_FILES})

add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
add_library(${PLUGIN_NAME} SHARED ${SRCS} ../common-plugin/network.qrc)

get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()

target_include_directories(${PLUGIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${DDE-Network-Core_INCLUDE_DIRS}
    ${DDE_DOCK_INCLUDE_DIR}
    ${Qt5Network_INCLUDE_DIRS}
    ${KF5_QT_INCLUDE_DIRS}
    "../common-plugin/"
)

target_link_libraries(${PLUGIN_NAME} PRIVATE
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${DDE-Network-Core_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${KF5_QT_LIBRARIES}
    ${Qt5Network_LIBRARIES}
)

install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION lib/dde-dock/plugins/system-trays)
# 安装 .qm 文件
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PLUGIN_NAME}/translations)

=== dss_example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dss_example)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_PREFIX_PATH $ENV{Qt5_DIR})
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(DdeControlCenter REQUIRED)
find_package(Qt5 COMPONENTS Core DBus Network REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DdeDock REQUIRED)
find_package(DdeSessionShell REQUIRED)

aux_source_directory(../dss-network-plugin DSSPLUGINTHEMES)
aux_source_directory(../dss-network-plugin/notification DSSPLUGINNOTIFICATION)
aux_source_directory(../common-plugin COMMONPLUGINS)
aux_source_directory(../common-plugin/widgets COMMONPLUGINWIDGET)
aux_source_directory(../common-plugin/item COMMONPLUGINITEM)
aux_source_directory(. COMPILEFILES)

get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

#set(COMPILEFILES ./*.h ./*.cpp)
file(GLOB_RECURSE COMMONPLUGINS_SRCS
    ../common-plugin/*
)
add_executable(${PROJECT_NAME}
    ${COMPILEFILES}
    ${NETWORKDIR}
    ${DSSPLUGINTHEMES}
    ${DSSPLUGINNOTIFICATION}
    ${COMMONPLUGINS_SRCS}
    ${REALIZEDIR})

get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

foreach(LETTER ${TRY_KF5_LIBRARIES})
    if (NOT KF5_QT_LIBRARIES)
        get_target_property(KF5_QT_LIBRARIES KF5::NetworkManagerQt ${LETTER})
    endif()
endforeach()

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

target_include_directories(${PROJECT_NAME} PUBLIC
    ../dss-network-plugin
    ../common-plugin
    ../common-plugin/widgets
    ../common-plugin/item
    ../dss-network-plugin/interface
    ${DdeControlCenter_INCLUDE_DIR}
    ${DDE_DOCK_INCLUDE_DIR}
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
    ${Qt5Widget_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${LibNM_INCLUDE_DIRS}
    ${Qt5Network_INCLUDE_DIRS}
    ${KF5_QT_INCLUDE_DIRS}
    ${DDE-Network-Core_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    ${DdeControlCenter_LIBRARIES}
    ${DDE_DOCK_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${Qt5Core_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${LibNM_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${KF5_QT_LIBRARIES}
    ${DDE-Network-Core_LIBRARIES}
)

add_custom_command(
    OUTPUT path.pb.cc path.pb.h
    COMMAND protoc
    ARGS --cpp_out . ${CMAKE_CURRENT_SOURCE_DIR}/path.proto -I ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS path.proto)

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(example)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_PREFIX_PATH $ENV{Qt5_DIR})
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(DdeControlCenter REQUIRED)

aux_source_directory(../dcc-network-plugin DCCPLUGINDIR)
aux_source_directory(../dcc-network-plugin/window DCCPLUGINWINDOWDIR)
aux_source_directory(../dcc-network-plugin/sections DCCPLUGINSECTIONS)
aux_source_directory(../dcc-network-plugin/sections/vpn DCCPLUGINSECTIONSVPN)
aux_source_directory(../dcc-network-plugin/settings DCCPLUGINSETTINGS)
aux_source_directory(../dcc-network-plugin/settings/vpn DCCPLUGINVPNSETTINGS)
aux_source_directory(../dcc-network-plugin/themes DCCPLUGINTHEMES)
aux_source_directory(../dcc-network-plugin/widgets DCCPLUGINWIDGETS)

file(GLOB_RECURSE QRCFILE "./example.qrc"
    "../dcc-network-plugin/icons/dcc-network-plugin.qrc"
    "../dcc-network-plugin/icons/actions/*.svg"
    "../dcc-network-plugin/icons/icons/*.svg")

set(COMPILEFILES
    ./networkhandler.h
    ./networkhandler.cpp
    ./main.cpp
    ./dccplugintestwidget.h
    ./dccplugintestwidget.cpp)

#list(REMOVE_ITEM NETWORKDIR "../dde-network-core/debian")

add_executable(${PROJECT_NAME}
    ${COMPILEFILES}
    ${DCCPLUGINDIR}
    ${DCCPLUGINWINDOWDIR}
    ${NETWORKDIR}
    ${DCCPLUGINSECTIONS}
    ${DCCPLUGINSECTIONSVPN}
    ${DCCPLUGINSETTINGS}
    ${DCCPLUGINVPNSETTINGS}
    ${DCCPLUGINTHEMES}
    ${DCCPLUGINWIDGETS}
    ${REALIZEDIR}
    ${QRCFILE})

find_package(Qt5 COMPONENTS Core DBus Network REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)
find_package(DtkWidget REQUIRED)

get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

foreach(LETTER ${TRY_KF5_LIBRARIES})
    if (NOT KF5_QT_LIBRARIES)
        get_target_property(KF5_QT_LIBRARIES KF5::NetworkManagerQt ${LETTER})
    endif()
endforeach()

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

target_include_directories(${PROJECT_NAME} PUBLIC
    ../dcc-network-plugin
    ${DdeControlCenter_INCLUDE_DIR}
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
    ${Qt5Widget_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${LibNM_INCLUDE_DIRS}
    ${Qt5Network_INCLUDE_DIRS}
    ${KF5_QT_INCLUDE_DIRS}
    ${DDE-Network-Core_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    ${DdeControlCenter_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${Qt5Core_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${LibNM_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${KF5_QT_LIBRARIES}
    ${DDE-Network-Core_LIBRARIES}
)

add_custom_command(
    OUTPUT path.pb.cc path.pb.h
    COMMAND protoc
    ARGS --cpp_out . ${CMAKE_CURRENT_SOURCE_DIR}/path.proto -I ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS path.proto)

=== debian/changelog ===
dde-network-core (1.1.5-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Tue, 29 Nov 2022 09:37:50 +0800

## dde-network-core 1.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dde-network-core)

set(VERSION "1.0.0" CACHE STRING "define project version")

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -z relro -z now -z noexecstack -pie")

set(DDE-Network-Core_INCLUDE_DIRS  "${CMAKE_SOURCE_DIR}/src")
set(DDE-Network-Core_LIBRARIES  dde-network-core)

find_package(PkgConfig REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)
pkg_check_modules(LibNM REQUIRED IMPORTED_TARGET libnm)
include_directories(${LibNM_INCLUDE_DIRS})

pkg_check_modules(Gio REQUIRED gio-2.0)
include_directories(${Gio_INCLUDE_DIRS})

pkg_search_module(GLIB REQUIRED glib-2.0)
include_directories(${GLIB_INCLUDE_DIRS})
link_directories(${GLIB_LIBRARY_DIRS})

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()

find_package(Qt5 COMPONENTS Core Widgets DBus Network LinguistTools REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)
get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

# test networkmanagetqt
try_compile(DEEPIN_NMQT_TEST
              ${CMAKE_CURRENT_BINARY_DIR}/try_compile
            SOURCES
              ${CMAKE_CURRENT_SOURCE_DIR}/try-compile/networkmanagerqt.cc
            LINK_LIBRARIES
              ${KF5_QT_LIBRARIES}
              Qt5::Core
              Qt5::DBus
              Qt5::Network
            CMAKE_FLAGS
              "-DINCLUDE_DIRECTORIES=${KF5_QT_INCLUDE_DIRS}\;${GLIB_INCLUDE_DIRS}\;${LibNM_INCLUDE_DIRS}"
            OUTPUT_VARIABLE
              result
)

if (QT_DEBUG)
    message(" KF5_QT_INCLUDE_DIRS : " ${KF5_QT_INCLUDE_DIRS})
    message(" GLIB_INCLUDE_DIRS :" ${GLIB_INCLUDE_DIRS})
    message(" CMAKE_CURRENT_SOURCE_DIR: " ${CMAKE_CURRENT_SOURCE_DIR})
    message(STATUS ${result})
endif()

if (DEEPIN_NMQT_TEST)
    add_definitions(-DUSE_DEEPIN_NMQT)
endif()

message(STATUS DEEPIN_NMQT_TEST ": ${DEEPIN_NMQT_TEST}")

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "/usr")
endif()

add_subdirectory("src")
add_subdirectory("dcc-network-plugin")
add_subdirectory("tests")
add_subdirectory("example")
add_subdirectory("dock-network-plugin")
add_subdirectory("dss-network-plugin")
add_subdirectory("dss_example")
add_subdirectory("dock-example")

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dde-network-core)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

include(GNUInstallDirs)
set(CMAKE_PREFIX_PATH $ENV{Qt5_DIR})

file(GLOB_RECURSE SOURCEFILES "*.h" "*.cpp")
add_library(${PROJECT_NAME} SHARED ${SOURCEFILES})

find_package(Qt5 COMPONENTS Core DBus Network REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)
pkg_check_modules(LibNM REQUIRED IMPORTED_TARGET libnm)

# KF5 network manager
 get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

 set(TRY_KF5_LIBRARIES
 IMPORTED_LOCATION_DEBIAN
 IMPORTED_LOCATION_NOCONFIG
 )

 foreach(LETTER ${TRY_KF5_LIBRARIES})
     if (NOT KF5_QT_LIBRARIES)
         get_target_property(KF5_QT_LIBRARIES KF5::NetworkManagerQt ${LETTER})
     endif()
 endforeach()

 if (NOT KF5_QT_LIBRARIES)
     find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
 endif()
 # end KF5 network manager

target_include_directories(${PROJECT_NAME} PUBLIC
    realize
    ${Qt5DBus_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${Qt5Network_INCLUDE_DIRS}
    ${KF5_QT_INCLUDE_DIRS}
    PkgConfig::LibNM
)

message(STATUS ${LibNM_INCLUDE_DIRS})

target_link_libraries(${PROJECT_NAME} PRIVATE
    ${Qt5Core_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${KF5_QT_LIBRARIES}
    PkgConfig::LibNM
)

configure_file(dde-network-core.pc.in ../dde-network-core.pc @ONLY)

set(INTERFACEFILES
    dslcontroller.h
    hotspotcontroller.h
    networkconst.h
    networkcontroller.h
    networkdetails.h
    networkdevicebase.h
    proxycontroller.h
    vpncontroller.h
    wireddevice.h
    wirelessdevice.h)

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}Targets LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_BINARY_DIR}/dde-network-core.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${INTERFACEFILES} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libddenetworkcore)
install(FILES ../config/org.deepin.dde.network.json DESTINATION ${CMAKE_INSTALL_DATADIR}/dsg/configs/org.deepin.dde.network)

=== debian/changelog ===
dde-network-core (1.1.7-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Wed, 30 Nov 2022 09:26:44 +0800

## dde-network-core 1.1.7.3

=== dcc-network-plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(PLUGIN_NAME "dcc-network-plugin")

project(${PLUGIN_NAME})

include(GNUInstallDirs)
# 启用 qt moc 的支持
set(CMAKE_AUTOMOC ON)
# 启用 qrc 资源文件的支持
set(CMAKE_AUTORCC ON)

# 指定所有源码文件
file(GLOB_RECURSE SRCS "*.h"
    "*.cpp"
    "icons/*"
    "icons/dcc-network-plugin.qrc"
    "translations/translations.qrc"
    "icons/actions/*.svg"
    "icons/icons/*.svg")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
endif()

# 指定要用到的库
find_package(Qt5 COMPONENTS Core Widgets DBus Network LinguistTools REQUIRED)
find_package(DdeControlCenter REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)

#pkg_check_modules(DDE-Network-Core REQUIRED dde-network-core)
pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)

get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()

file(GLOB TS_FILES "translations/*.ts")

qt5_add_translation(QM_FILES ${TS_FILES})

add_custom_target(translations ALL DEPENDS ${QM_FILES})

# 新增一个编译目标
# 这里使用命令 add_library 来表示本项目要生成一个库文件目标，
add_library(${PLUGIN_NAME} SHARED ${SRCS})

# 设置目标要使用的 include 目录，即头文件目录
# 变量 ${DtkWidget_INCLUDE_DIRS} 是在前面执行 find_package 命令时引入的
# 当出现编译失败提示找不到某些库的头文件时应该检查此处是否将所有需要的头文件都包含了
target_include_directories(${PLUGIN_NAME} PUBLIC
    ${Qt5Widgets_INCLUDE_DIRS}
    ${DtkWidget_INCLUDE_DIRS}
    ${DdeControlCenter_INCLUDE_DIR}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
    ${KF5_QT_INCLUDE_DIRS}
    ${Qt5Network_INCLUDE_DIRS}
    ${DDE-Network-Core_INCLUDE_DIRS}
)

# 设置目标要使用的链接库
# 变量 ${DtkWidget_LIBRARIES} 和 ${Qt5Widgets_LIBRARIES} 是在前面执行 find_package 命令时引入的
# 当出现运行时错误提示某些符号没有定义时应该检查此处是否将所有用的库都写在了这里
target_link_libraries(${PLUGIN_NAME} PRIVATE
    ${Qt5Widgets_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${DdeControlCenter_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${KF5_QT_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${DDE-Network-Core_LIBRARIES}
)

# 设置执行 make install 时哪个目标应该被 install 到哪个位置
install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION lib/dde-control-center/modules)

# 安装 .qm 文件
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PLUGIN_NAME}/translations)

=== dock-example/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,11 @@
 
 get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
 
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+endif()
+
 file(GLOB_RECURSE COMMONPLUGINS_SRCS
     ../common-plugin/*
     ../dss-network-plugin/dockpopupwindow.h
@@ -32,8 +37,6 @@
     ${DOCKPLUGINDIR}
     ${COMMONPLUGINS_SRCS}
     )
-
-get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
 
 foreach(LETTER ${TRY_KF5_LIBRARIES})
     if (NOT KF5_QT_LIBRARIES)

=== dock-network-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,11 @@
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(QGSettings REQUIRED gsettings-qt)
 pkg_check_modules(DDE-Dock REQUIRED dde-dock)
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+endif()
 
 file(GLOB TS_FILES "translations/*.ts")
 qt5_add_translation(QM_FILES ${TS_FILES})

=== dss-network-plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(PLUGIN_NAME "dss-network-plugin")

project(${PLUGIN_NAME})

include(GNUInstallDirs)
# 启用 qt moc 的支持
set(CMAKE_AUTOMOC ON)
# 启用 qrc 资源文件的支持
set(CMAKE_AUTORCC ON)

file(GLOB_RECURSE SRCS "*.h" "*.cpp"  "../common-plugin/*.h" "../common-plugin/*.cpp")

find_package(Qt5 COMPONENTS Core Widgets DBus Network LinguistTools REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)
find_package(DdeSessionShell REQUIRED)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
endif()

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)

file(GLOB TS_FILES "translations/*.ts")
qt5_add_translation(QM_FILES ${TS_FILES})
add_custom_target(${TARGET_NAME}_language ALL DEPENDS ${QM_FILES})

add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
add_library(${PLUGIN_NAME} SHARED ${SRCS} ../common-plugin/network.qrc)

get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()

target_include_directories(${PLUGIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${DDE-Network-Core_INCLUDE_DIRS}
    ${DDESESSIONSHELL_INCLUDE_DIR}
    ${Qt5Network_INCLUDE_DIRS}
    ${KF5_QT_INCLUDE_DIRS}
    "../common-plugin/"
)

target_link_libraries(${PLUGIN_NAME} PRIVATE
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${DDE-Network-Core_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${KF5_QT_LIBRARIES}
    ${Qt5Network_LIBRARIES}
)

install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)
# 安装 .qm 文件
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PLUGIN_NAME}/translations)

install(FILES 10-network-manager.pkla DESTINATION ${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d)

=== dss_example/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,10 @@
 aux_source_directory(../common-plugin/item COMMONPLUGINITEM)
 aux_source_directory(. COMPILEFILES)
 
-get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+endif()
 
 #set(COMPILEFILES ./*.h ./*.cpp)
 file(GLOB_RECURSE COMMONPLUGINS_SRCS

=== example/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,11 @@
     ./dccplugintestwidget.cpp)
 
 #list(REMOVE_ITEM NETWORKDIR "../dde-network-core/debian")
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+endif()
 
 add_executable(${PROJECT_NAME}
     ${COMPILEFILES}

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,24 @@
 include(GNUInstallDirs)
 set(CMAKE_PREFIX_PATH $ENV{Qt5_DIR})
 
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+endif()
+
 file(GLOB_RECURSE SOURCEFILES "*.h" "*.cpp")
+
+file(GLOB TS_FILES "translations/*.ts")
+
+qt5_add_translation(QM_FILES ${TS_FILES})
+
+add_custom_target(networktranslations ALL DEPENDS ${QM_FILES})
+
 add_library(${PROJECT_NAME} SHARED ${SOURCEFILES})
 
 find_package(Qt5 COMPONENTS Core DBus Network REQUIRED)
 find_package(PkgConfig REQUIRED)
+find_package(DtkCore REQUIRED)
 find_package(KF5NetworkManagerQt REQUIRED)
 
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
@@ -41,12 +54,15 @@
  # end KF5 network manager
 
 target_include_directories(${PROJECT_NAME} PUBLIC
-    realize
+    impl
+    impl/networkmanager
+    impl/serviceinter
     ${Qt5DBus_INCLUDE_DIRS}
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
     ${Qt5Network_INCLUDE_DIRS}
     ${KF5_QT_INCLUDE_DIRS}
+    ${DtkCore_INCLUDE_DIRS}
     PkgConfig::LibNM
 )
 
@@ -57,22 +73,22 @@
     ${DFrameworkDBus_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${Qt5Network_LIBRARIES}
-    ${QGSettings_LIBRARIES}
     ${KF5_QT_LIBRARIES}
+    ${DtkCore_LIBRARIES}
     PkgConfig::LibNM
 )
 
 configure_file(dde-network-core.pc.in ../dde-network-core.pc @ONLY)
 
 set(INTERFACEFILES
-    dslcontroller.h
-    hotspotcontroller.h
+    impl/dslcontroller.h
+    impl/hotspotcontroller.h
+    impl/vpncontroller.h
     networkconst.h
     networkcontroller.h
     networkdetails.h
     networkdevicebase.h
     proxycontroller.h
-    vpncontroller.h
     wireddevice.h
     wirelessdevice.h)
 
@@ -80,3 +96,5 @@
 install(FILES ${CMAKE_BINARY_DIR}/dde-network-core.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 install(FILES ${INTERFACEFILES} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libddenetworkcore)
 install(FILES ../config/org.deepin.dde.network.json DESTINATION ${CMAKE_INSTALL_DATADIR}/dsg/configs/org.deepin.dde.network)
+# 安装 .qm 文件
+install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(tst-dde-network)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_PREFIX_PATH $ENV{Qt5_DIR})
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Core DBus Network REQUIRED)
find_package(GTest REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)
find_package(Qt5Widgets REQUIRED)

get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

foreach(LETTER ${TRY_KF5_LIBRARIES})
    if (NOT KF5_QT_LIBRARIES)
        get_target_property(KF5_QT_LIBRARIES KF5::NetworkManagerQt ${LETTER})
    endif()
endforeach()

# 用于测试覆盖率的编译条件
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage -lgcov")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_definitions(-D SANITIZER_CHECK)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
endif()

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

aux_source_directory(. FILES)

add_executable(${PROJECT_NAME} ${FILES})

target_include_directories(${PROJECT_NAME} PUBLIC
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${LibNM_INCLUDE_DIRS}
    ${Qt5Network_INCLUDE_DIRS}
    ${Qt5Widget_INCLUDE_DIRS}
    ${KF5_QT_INCLUDE_DIRS}
    ../src
    ../src/impl)

target_link_libraries(${PROJECT_NAME} PRIVATE
    ${Qt5Core_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${LibNM_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Test_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${KF5_QT_LIBRARIES}
    -lpthread
    -lm
    dde-network-core
)

=== debian/changelog ===
dde-network-core (1.1.7.3-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Fri, 14 Apr 2023 10:48:04 +0800

dde-network-core (1.0.78) unstable; urgency=low

  * bump version to 1.0.78

-- lichangze <lichangze@uniontech.com>  Mon, 9 Jan 2023 09:51:27 +0000

dde-network-core (1.0.77) unstable; urgency=low

  * bump version to 1.0.77

-- yinjie <yinjie@uniontech.com>  Tue, 3 Jan 2023 16:04:21 +0000

=== debian/control ===
Source: dde-network-core
Section: lib
Priority: optional
Maintainer: donghualin <donghualin@uniontech.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libdframeworkdbus-dev (>= 1.0.2),
               libgsettings-qt-dev,
               pkg-config,
               qtbase5-dev,
               qtbase5-private-dev,
               qttools5-dev-tools,
               libgtest-dev,
               libkf5networkmanagerqt-dev,
               libdtkwidget-dev,
               dde-control-center-dev,
               dde-dock-dev,
               dde-session-shell-dev,
               libudev-dev,
               qttools5-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://gerrit.uniontech.com/admin/repos/dde-network-core
Vcs-Browser: https://gerrit.uniontech.com/admin/repos/dde-network-core

Package: libdde-network-core
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends}
Replaces: dde-network-dialog
Provides: dde-network-dialog
Description: the library of network
 libdde-network-core module

Package: libdde-network-core-dev
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},libdde-network-core (= ${binary:Version})
Description: the interface of networkcode,used for developers
 libdde-network-core-dev module

Package: dcc-network-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},libdde-network-core (= ${binary:Version})
Description: the plugin of network for dde control center
 dcc-network-plugin module

Package: dock-network-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},libdde-network-core (= ${binary:Version})
Description: the plugin of network for dde-dock
 dock-plugin module

Package: dss-network-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},libdde-network-core (= ${binary:Version})
Description: the plugin of network for dde-lock
 dss-network-plugin module

## dde-network-core 2.0.33

=== dss_example/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 find_package(Qt5Svg REQUIRED)
 find_package(KF5NetworkManagerQt REQUIRED)
 find_package(DtkWidget REQUIRED)
-find_package(DdeDock REQUIRED)
 find_package(DdeSessionShell REQUIRED)
+find_package(PkgConfig REQUIRED)
 
 aux_source_directory(../dss-network-plugin DSSPLUGINTHEMES)
 aux_source_directory(../dss-network-plugin/notification DSSPLUGINNOTIFICATION)
@@ -23,10 +23,7 @@
 aux_source_directory(../common-plugin/item COMMONPLUGINITEM)
 aux_source_directory(. COMPILEFILES)
 
-if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
-endif()
+get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
 
 #set(COMPILEFILES ./*.h ./*.cpp)
 file(GLOB_RECURSE COMMONPLUGINS_SRCS
@@ -69,7 +66,6 @@
     ${Qt5Core_INCLUDE_DIRS}
     ${Qt5DBus_INCLUDE_DIRS}
     ${Qt5Widget_INCLUDE_DIRS}
-    ${DFrameworkDBus_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
     ${LibNM_INCLUDE_DIRS}
     ${Qt5Network_INCLUDE_DIRS}
@@ -83,9 +79,8 @@
     ${DtkWidget_LIBRARIES}
     ${Qt5Core_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
-    ${LibNM_LIBRARIES}
+    #${LibNM_LIBRARIES}
     ${Qt5Svg_LIBRARIES}
-    ${DFrameworkDBus_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${Qt5Network_LIBRARIES}
     ${QGSettings_LIBRARIES}

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,12 @@
 
 project(tst-dde-network)
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_THREAD_LIBS_INIT "-lpthread")
+set(CMAKE_HAVE_THREADS_LIBRARY 1)
+set(CMAKE_USE_PTHREADS_INIT 1)
+set(CMAKE_PREFER_PTHREAD_FLAG ON)
+
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_PREFIX_PATH $ENV{Qt5_DIR})
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
@@ -11,6 +16,7 @@
 find_package(GTest REQUIRED)
 find_package(KF5NetworkManagerQt REQUIRED)
 find_package(Qt5Widgets REQUIRED)
+find_package(PkgConfig REQUIRED)
 
 get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
 
@@ -25,8 +31,8 @@
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_definitions(-D SANITIZER_CHECK)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
 endif()
 
 if (NOT KF5_QT_LIBRARIES)
@@ -43,21 +49,19 @@
 add_executable(${PROJECT_NAME} ${FILES})
 
 target_include_directories(${PROJECT_NAME} PUBLIC
-    ${DFrameworkDBus_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
-    ${LibNM_INCLUDE_DIRS}
+    #${LibNM_INCLUDE_DIRS}
     ${Qt5Network_INCLUDE_DIRS}
     ${Qt5Widget_INCLUDE_DIRS}
     ${KF5_QT_INCLUDE_DIRS}
-    ../src
-    ../src/impl)
+    ${NETINTERFACEINCLUDE}
+    ../src)
 
 target_link_libraries(${PROJECT_NAME} PRIVATE
     ${Qt5Core_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
-    ${LibNM_LIBRARIES}
+    #${LibNM_LIBRARIES}
     ${Qt5Network_LIBRARIES}
-    ${DFrameworkDBus_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${Qt5Test_LIBRARIES}
     ${Qt5Network_LIBRARIES}

=== debian/changelog ===
dde-network-core (2.0.33) unstable; urgency=medium

  * fix: Network panel translation not dynamically updated(Issue: 10226)
  * fix: Modify network plugin crash issue (#263)(Issue: 10263)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 08 Aug 2024 15:24:51 +0800

dde-network-core (2.0.32) unstable; urgency=medium

  * fix: Modify system proxy crash issue(Issue: 10118)
  * fix: Modify network plugin translation issues(Issue: 10071)
  * fix: Modify the issue of untranslated network name created for the first time(Issue: 10018)

 -- caixiangrong <caixiangrong@uniontech.com>  Tue, 06 Aug 2024 15:45:40 +0800

dde-network-core (2.0.31) unstable; urgency=medium

  * fix: Modify the interface to display multiple system proxy issues(Issue: 9961)
  * fix: Modifying configuration errors can also set proxy issues(Issue: 9983)

 -- caixiangrong <caixiangrong@uniontech.com>  Fri, 26 Jul 2024 16:25:40 +0800

dde-network-core (2.0.30) unstable; urgency=medium

  * fix: Responding to proxy change signals (#252)(Issue: 9711)
  * fix(dss): can't connect to new WiFi(Issue: 9630)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 14:05:40 +0800

dde-network-core (2.0.29) unstable; urgency=medium

  * fix(dss): input  is not hidden after closing the window
    (linuxdeepin/developer-center#8983)

 -- zsien <quezhiyong@deepin.org>  Mon, 08 Jul 2024 10:23:22 +0800

dde-network-core (2.0.28) unstable; urgency=medium

  * fix: icon drift on the left side of listView(Issue: https://github.com/linuxdeepin/developer-center/issues/8982)
  * fix: VPN gateway cannot input ip:port(Issue: https://github.com/linuxdeepin/developer-center/issues/9437)

 -- Zhang Kun <zhangkun2@uniontech.com>  Tue, 02 Jul 2024 10:36:08 +0800

dde-network-core (2.0.27) unstable; urgency=medium

  * chore: Update translation

 -- Zhang kun <zhangkun2@uniontech.com>  Thu, 13 Jun 2024 11:21:00 +0800

dde-network-core (2.0.26) unstable; urgency=medium

  * fix: lineedit alert style error
  * fix: secure icons in lock screen are too small

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 23 May 2024 16:14:14 +0800

dde-network-core (2.0.25) unstable; urgency=medium

  * fix: netItem textColor error and the selected button is not centered(Issue: https://github.com/linuxdeepin/developer-center/issues/8505)

 -- Zhang Kun <zhangkun2@uniontech.com>  Mon, 20 May 2024 17:58:13 +0800

dde-network-core (2.0.24) unstable; urgency=medium

  * fix: warning label is not translated
  * fix: empty network panel when unavailable
  * fix: loadingIndicator isn't deleted
  * fix: wild pointer for networkDetails
  * chore: build tests with cpp 14
  * fix: line edit not fully disabled

 -- Wang Fei <wangfei@deepin.org>  Tue, 16 Apr 2024 16:17:14 +0800

dde-network-core (2.0.23) unstable; urgency=medium

  * fix #7465
  * chore: Shielding app proxy module

 -- Mike Chen <chenke@deepin.org>  Fri, 22 Mar 2024 09:06:02 +0800

dde-network-core (2.0.22) unstable; urgency=medium

  * fix: interface-name is cleared after modifying the network profile
  * fix: default method is alway manual

 -- Wang Fei <wangfei@deepin.org>  Fri, 01 Mar 2024 10:06:33 +0800

dde-network-core (2.0.21) unstable; urgency=medium

  * fix: dss plugin shouldn't acquire focus

 -- YuMing He <heyuming@deepin.org>  Tue, 30 Jan 2024 21:42:11 +0800

dde-network-core (2.0.20) unstable; urgency=medium

  * fix #6014

 -- Mike Chen <chenke@deepin.org>  Thu, 25 Jan 2024 10:14:18 +0800

dde-network-core (2.0.19) unstable; urgency=medium

  * fix: update network error icon(Issue: https://github.com/linuxdeepin/developer-center/issues/4479)

 -- Wang Yixue <wangyixue@deepin.org>  Fri, 19 Jan 2024 12:18:52 +0800

dde-network-core (2.0.18) unstable; urgency=medium

  * fix the break ci
  * fix the changelog

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 11 Mon 2024 15:44:43 +0800

dde-network-core (2.0.17) unstable; urgency=medium

  * fix: vpn dialog open for a long time
  * use target link of dde-control-center
  * remote deprecated handle
  * set extra btn of sysproxymodule to save type

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 19 Dec 2023 10:33:16 +0800

dde-network-core (2.0.16) unstable; urgency=medium

  * fix: OpenVPN网关校验等相关问题
    Thanks to hotime
  * fix: not set fixed size for extra(Issue: https://github.com/linuxdeepin/developer-center/issues/5714)
  * fix: remove unused libdframeworkdbus-dev builddep from debian/control
    Thanks to Felix Yan
  * feat: support disable ipv4/ipv6(Issue: https://github.com/linuxdeepin/developer-center/issues/5823)
  * feat: correct behavior when ipv6 set to ignore or set ipv4/6 to
    disable(Issue: https://github.com/linuxdeepin/developer-center/issues/5823)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 10 Oct 2023 11:02:47 +0800

dde-network-core (2.0.15) unstable; urgency=medium

  * fix: Missing update when refresh stopped(Issue: https://github.com/linuxdeepin/developer-center/issues/5484)

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 11 Sep 2023 17:03:03 +0800

dde-network-core (2.0.14) unstable; urgency=medium

  * fix: Can't set connection when connecting(Issue: https://github.com/linuxdeepin/developer-center/issues/5146)

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 08 Sep 2023 13:32:33 +0800

dde-network-core (2.0.13) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * fix: Even if the hotspot does not exist its state should change
  * fix: NetworkPanel'status unrefreshed for dss-network-plugin
  * fix: setContentsMargins of multiipvxsection
  * chore(CI): Update obs tag build workflow
  * feat: Hide hotspot plugin when unsupport hotspot(Issue: https://github.com/linuxdeepin/developer-center/issues/5023)
  * chore: dock-example can't work
  * feat: Remove dock-hotspot-plugin temporarily(Issue: https://github.com/linuxdeepin/developer-center/issues/5415)

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 06 Sep 2023 10:16:15 +0800



=== debian/control ===
Source: dde-network-core
Section: lib
Priority: optional
Maintainer: donghualin <donghualin@uniontech.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libglib2.0-dev (>= 2.32),
               libgsettings-qt-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools,
               libgtest-dev,
               libkf5networkmanagerqt-dev (>= 5.90.0),
               libdtkwidget-dev,
               dde-control-center-dev,
               dde-session-shell-dev,
               qttools5-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://gerrit.uniontech.com/admin/repos/dde-network-core
Vcs-Browser: https://gerrit.uniontech.com/admin/repos/dde-network-core

Package: libdde-network-core
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: the library of network
 libdde-network-core module

Package: libdde-network-core-dev
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},libdde-network-core (= ${binary:Version})
Description: the interface of networkcode,used for developers
 libdde-network-core-dev module

Package: dcc-network-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},network-manager-integration-plugins,libdde-network-core (= ${binary:Version})
Description: the plugin of network for dde control center
 dcc-network-plugin module

Package: dss-network-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},libdde-network-core (= ${binary:Version})
Description: the plugin of network for dde-lock
 dss-network-plugin module
